Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.crypt.arc4

# Class Arc4EncryptionPlugin

java.lang.Object
org.firebirdsql.gds.ng.wire.crypt.arc4.Arc4EncryptionPlugin

All Implemented Interfaces:
  `EncryptionPlugin`

public final class Arc4EncryptionPlugin extends Object implements EncryptionPlugin
ARC4 encryption plugin (the wire encryption provided out-of-the-box in Firebird 3).

Since:
  4.0
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`EncryptionIdentifier`
`encryptionIdentifier()`
`EncryptionInitInfo`
`initializeEncryption()`
Initializes the encryption for incoming and outgoing communication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### encryptionIdentifier

public EncryptionIdentifier encryptionIdentifier()

Specified by:
  `encryptionIdentifier` in interface `EncryptionPlugin`
Returns:
  Encryption identifier

### initializeEncryption

public EncryptionInitInfo initializeEncryption()
Description copied from interface: `EncryptionPlugin`
Initializes the encryption for incoming and outgoing communication.

Specified by:
  `initializeEncryption` in interface `EncryptionPlugin`
Returns:
  Object with the result of initialization